use rustyline::DefaultEditor;

const HEIGHT: f32 = 172.0; //cm
const BODY_AGE: f32 = 35.0; //years
const KCAL_PER_KG: f32 = 7700.0;
const KG_LOSS_PER_WEEK: f32 = 1.0;

fn bmr(kg: f32) -> f32 {
    655.0 + 9.6 * kg + 1.8 * HEIGHT - 4.7 * BODY_AGE
}

fn caloric_need(kg: f32) -> f32 {
    bmr(kg) * 1.2
}

fn calorie_target(kg: f32) -> f32 {
    caloric_need(kg) - KCAL_PER_KG * KG_LOSS_PER_WEEK / 7.0
}

fn main() {
    let mut rl = DefaultEditor::new().unwrap();
    let kg = 117.4;

    println!("Skunkfood 2 v0.1.0");
    println!("current daily target: {:.0}kcal", calorie_target(kg));

    loop {
        match rl.readline(">> ") {
            Ok(line) => {
                println!("meow {}", line);
            }
            Err(err) => {
                println!("Quitting: {}", err);
                break;
            }
        }
    }
}
